// kiwi.client._GestionPreferencesPerso_EOArchive_English.java
// Generated by EOJavaClientPalette at 2007-02-13 20:36:40 +0000

package kiwi.client;

import java.awt.Font;
import java.awt.Insets;

import javax.swing.JPanel;
import javax.swing.JTextField;

import com.webobjects.eoapplication.EOArchive;
import com.webobjects.eointerface.swing.EOFrame;
import com.webobjects.eointerface.swing.EOViewLayout;
import com.webobjects.foundation.NSDisposableRegistry;

public class _GestionPreferencesPerso_EOArchive_English extends com.webobjects.eoapplication.EOArchive {
    com.webobjects.eointerface.swing.EOFrame _panel;
    com.webobjects.eointerface.swing.EOMatrix _nsMatrix0;
    com.webobjects.eointerface.swing.EOTextField _nsTextField0, _nsTextField1, _nsTextField10, _nsTextField11, _nsTextField12, _nsTextField13, _nsTextField14, _nsTextField15, _nsTextField16, _nsTextField17, _nsTextField18, _nsTextField19, _nsTextField2, _nsTextField20, _nsTextField21, _nsTextField22, _nsTextField23, _nsTextField24, _nsTextField25, _nsTextField3, _nsTextField4, _nsTextField5, _nsTextField6, _nsTextField7, _nsTextField8, _nsTextField9;
    javax.swing.JButton _nsButton0, _nsButton1, _nsButton10, _nsButton11, _nsButton12, _nsButton13, _nsButton14, _nsButton15, _nsButton16, _nsButton2, _nsButton3, _nsButton4, _nsButton5, _nsButton6, _nsButton7, _nsButton8, _nsButton9;
    javax.swing.JCheckBox _nsButton17;
    javax.swing.JPanel _nsView0;
    javax.swing.JRadioButton _jRadioButton0, _jRadioButton1;

    public _GestionPreferencesPerso_EOArchive_English(Object owner, NSDisposableRegistry registry) {
        super(owner, registry);
    }

    protected void _construct() {
        Object owner = _owner();
        EOArchive._ObjectInstantiationDelegate delegate = (owner instanceof EOArchive._ObjectInstantiationDelegate) ? (EOArchive._ObjectInstantiationDelegate)owner : null;
        Object replacement;

        super._construct();

        _nsTextField25 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField24 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField23 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField22 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "");
        _nsMatrix0 = (com.webobjects.eointerface.swing.EOMatrix)_registered(new com.webobjects.eointerface.swing.EOMatrix(1, 2, 0, 3), null);
        _nsTextField21 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField20 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField19 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField18 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField17 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField16 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField15 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "temUpdateDatesTrajet")) != null)) {
            _nsButton17 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JCheckBox)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton17");
        } else {
            _nsButton17 = (javax.swing.JCheckBox)_registered(new javax.swing.JCheckBox(""), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnDelTrajet")) != null)) {
            _nsButton16 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton16");
        } else {
            _nsButton16 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnGetTrajet")) != null)) {
            _nsButton15 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton15");
        } else {
            _nsButton15 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "libelleTrajet")) != null)) {
            _nsTextField14 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField14");
        } else {
            _nsTextField14 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnGetTitre")) != null)) {
            _nsButton14 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton14");
        } else {
            _nsButton14 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "titreMission")) != null)) {
            _nsTextField13 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField13");
        } else {
            _nsTextField13 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnDelPayeur")) != null)) {
            _nsButton13 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton13");
        } else {
            _nsButton13 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnDelDestin")) != null)) {
            _nsButton12 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton12");
        } else {
            _nsButton12 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnDelCanal")) != null)) {
            _nsButton11 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton11");
        } else {
            _nsButton11 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnDelModePaiement")) != null)) {
            _nsButton10 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton10");
        } else {
            _nsButton10 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnDelPlanco")) != null)) {
            _nsButton9 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton9");
        } else {
            _nsButton9 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnDelTypeCredit")) != null)) {
            _nsButton8 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton8");
        } else {
            _nsButton8 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "libelleTypeCredit")) != null)) {
            _nsTextField12 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField12");
        } else {
            _nsTextField12 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "libellePlanco")) != null)) {
            _nsTextField11 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField11");
        } else {
            _nsTextField11 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "libelleModePaiement")) != null)) {
            _nsTextField10 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField10");
        } else {
            _nsTextField10 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "libelleCanal")) != null)) {
            _nsTextField9 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField9");
        } else {
            _nsTextField9 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "temDemarrageRecherche")) != null)) {
            _jRadioButton1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JRadioButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_jRadioButton1");
        } else {
            _jRadioButton1 = (javax.swing.JRadioButton)_registered(new javax.swing.JRadioButton("Panel Recherche"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "temDemarrageMission")) != null)) {
            _jRadioButton0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JRadioButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_jRadioButton0");
        } else {
            _jRadioButton0 = (javax.swing.JRadioButton)_registered(new javax.swing.JRadioButton("D\u00e9tail Mission"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "libellePayeur")) != null)) {
            _nsTextField8 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField8");
        } else {
            _nsTextField8 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnValider")) != null)) {
            _nsButton7 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton7");
        } else {
            _nsButton7 = (javax.swing.JButton)_registered(new javax.swing.JButton("Valider"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnGetDestin")) != null)) {
            _nsButton6 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton6");
        } else {
            _nsButton6 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnGetPayeur")) != null)) {
            _nsButton5 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton5");
        } else {
            _nsButton5 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnAnnuler")) != null)) {
            _nsButton4 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton4");
        } else {
            _nsButton4 = (javax.swing.JButton)_registered(new javax.swing.JButton("Annuler"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnGetCanal")) != null)) {
            _nsButton3 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton3");
        } else {
            _nsButton3 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnGetModePaiement")) != null)) {
            _nsButton2 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton2");
        } else {
            _nsButton2 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnGetPlanco")) != null)) {
            _nsButton1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton1");
        } else {
            _nsButton1 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnGetTypeCredit")) != null)) {
            _nsButton0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton0");
        } else {
            _nsButton0 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "codeTypeCredit")) != null)) {
            _nsTextField7 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField7");
        } else {
            _nsTextField7 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "codePlanco")) != null)) {
            _nsTextField6 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField6");
        } else {
            _nsTextField6 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "codeModePaiement")) != null)) {
            _nsTextField5 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField5");
        } else {
            _nsTextField5 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "codeCanal")) != null)) {
            _nsTextField4 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField4");
        } else {
            _nsTextField4 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "codeDestin")) != null)) {
            _nsTextField3 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField3");
        } else {
            _nsTextField3 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "exercice")) != null)) {
            _nsTextField2 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField2");
        } else {
            _nsTextField2 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "libelleDestin")) != null)) {
            _nsTextField1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField1");
        } else {
            _nsTextField1 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        _nsTextField0 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "component")) != null)) {
            _panel = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOFrame)replacement;
            _replacedObjects.setObjectForKey(replacement, "_panel");
        } else {
            _panel = (EOFrame)_registered(new EOFrame(), "Panel");
        }

        _nsView0 = (JPanel)_panel.getContentPane();
    }

    protected void _awaken() {
        super._awaken();

        if (_replacedObjects.objectForKey("_nsButton17") == null) {
            _connect(_owner(), _nsButton17, "temUpdateDatesTrajet");
        }

        _nsButton16.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "delTrajet", _nsButton16), "null"));

        if (_replacedObjects.objectForKey("_nsButton16") == null) {
            _connect(_owner(), _nsButton16, "btnDelTrajet");
        }

        _nsButton15.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "getTrajet", _nsButton15), "null"));

        if (_replacedObjects.objectForKey("_nsButton15") == null) {
            _connect(_owner(), _nsButton15, "btnGetTrajet");
        }

        if (_replacedObjects.objectForKey("_nsTextField14") == null) {
            _connect(_owner(), _nsTextField14, "libelleTrajet");
        }

        _nsButton14.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "getTitreMission", _nsButton14), "null"));

        if (_replacedObjects.objectForKey("_nsButton14") == null) {
            _connect(_owner(), _nsButton14, "btnGetTitre");
        }

        if (_replacedObjects.objectForKey("_nsTextField13") == null) {
            _connect(_owner(), _nsTextField13, "titreMission");
        }

        _nsButton13.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "delPayeur", _nsButton13), "null"));

        if (_replacedObjects.objectForKey("_nsButton13") == null) {
            _connect(_owner(), _nsButton13, "btnDelPayeur");
        }

        _nsButton12.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "delDestin", _nsButton12), "null"));

        if (_replacedObjects.objectForKey("_nsButton12") == null) {
            _connect(_owner(), _nsButton12, "btnDelDestin");
        }

        _nsButton11.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "delCanal", _nsButton11), "null"));

        if (_replacedObjects.objectForKey("_nsButton11") == null) {
            _connect(_owner(), _nsButton11, "btnDelCanal");
        }

        _nsButton10.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "delModePaiement", _nsButton10), "null"));

        if (_replacedObjects.objectForKey("_nsButton10") == null) {
            _connect(_owner(), _nsButton10, "btnDelModePaiement");
        }

        _nsButton9.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "delPlanco", _nsButton9), "null"));

        if (_replacedObjects.objectForKey("_nsButton9") == null) {
            _connect(_owner(), _nsButton9, "btnDelPlanco");
        }

        _nsButton8.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "delTypeCredit", _nsButton8), "null"));

        if (_replacedObjects.objectForKey("_nsButton8") == null) {
            _connect(_owner(), _nsButton8, "btnDelTypeCredit");
        }

        if (_replacedObjects.objectForKey("_nsTextField12") == null) {
            _connect(_owner(), _nsTextField12, "libelleTypeCredit");
        }

        if (_replacedObjects.objectForKey("_nsTextField11") == null) {
            _connect(_owner(), _nsTextField11, "libellePlanco");
        }

        if (_replacedObjects.objectForKey("_nsTextField10") == null) {
            _connect(_owner(), _nsTextField10, "libelleModePaiement");
        }

        if (_replacedObjects.objectForKey("_nsTextField9") == null) {
            _connect(_owner(), _nsTextField9, "libelleCanal");
        }

        if (_replacedObjects.objectForKey("_jRadioButton1") == null) {
            _connect(_owner(), _jRadioButton1, "temDemarrageRecherche");
        }

        if (_replacedObjects.objectForKey("_jRadioButton0") == null) {
            _connect(_owner(), _jRadioButton0, "temDemarrageMission");
        }

        if (_replacedObjects.objectForKey("_nsTextField8") == null) {
            _connect(_owner(), _nsTextField8, "libellePayeur");
        }

        _nsButton7.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "valider", _nsButton7), "null"));

        if (_replacedObjects.objectForKey("_nsButton7") == null) {
            _connect(_owner(), _nsButton7, "btnValider");
        }

        _nsButton6.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "getDestin", _nsButton6), "null"));

        if (_replacedObjects.objectForKey("_nsButton6") == null) {
            _connect(_owner(), _nsButton6, "btnGetDestin");
        }

        _nsButton5.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "getPayeur", _nsButton5), "null"));

        if (_replacedObjects.objectForKey("_nsButton5") == null) {
            _connect(_owner(), _nsButton5, "btnGetPayeur");
        }

        _nsButton4.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "annuler", _nsButton4), "null"));

        if (_replacedObjects.objectForKey("_nsButton4") == null) {
            _connect(_owner(), _nsButton4, "btnAnnuler");
        }

        _nsButton3.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "getCanal", _nsButton3), "null"));

        if (_replacedObjects.objectForKey("_nsButton3") == null) {
            _connect(_owner(), _nsButton3, "btnGetCanal");
        }

        _nsButton2.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "getModePaiement", _nsButton2), "null"));

        if (_replacedObjects.objectForKey("_nsButton2") == null) {
            _connect(_owner(), _nsButton2, "btnGetModePaiement");
        }

        _nsButton1.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "getPlanco", _nsButton1), "null"));

        if (_replacedObjects.objectForKey("_nsButton1") == null) {
            _connect(_owner(), _nsButton1, "btnGetPlanco");
        }

        _nsButton0.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "getTypeCredit", _nsButton0), "null"));

        if (_replacedObjects.objectForKey("_nsButton0") == null) {
            _connect(_owner(), _nsButton0, "btnGetTypeCredit");
        }

        if (_replacedObjects.objectForKey("_nsTextField7") == null) {
            _connect(_owner(), _nsTextField7, "codeTypeCredit");
        }

        if (_replacedObjects.objectForKey("_nsTextField6") == null) {
            _connect(_owner(), _nsTextField6, "codePlanco");
        }

        if (_replacedObjects.objectForKey("_nsTextField5") == null) {
            _connect(_owner(), _nsTextField5, "codeModePaiement");
        }

        if (_replacedObjects.objectForKey("_nsTextField4") == null) {
            _connect(_owner(), _nsTextField4, "codeCanal");
        }

        if (_replacedObjects.objectForKey("_nsTextField3") == null) {
            _connect(_owner(), _nsTextField3, "codeDestin");
        }

        if (_replacedObjects.objectForKey("_nsTextField2") == null) {
            _connect(_owner(), _nsTextField2, "exercice");
        }

        if (_replacedObjects.objectForKey("_panel") == null) {
            _connect(_owner(), _panel, "component");
        }

        if (_replacedObjects.objectForKey("_nsTextField1") == null) {
            _connect(_owner(), _nsTextField1, "libelleDestin");
        }
    }

    protected void _init() {
        super._init();
        _setFontForComponent(_nsTextField25, "Helvetica", 12, Font.PLAIN);
        _nsTextField25.setEditable(false);
        _nsTextField25.setOpaque(false);
        _nsTextField25.setText("Modifier les dates du trajet en fonction de celles de la mission");
        _nsTextField25.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField25.setSelectable(false);
        _nsTextField25.setEnabled(true);
        _nsTextField25.setBorder(null);
        _setFontForComponent(_nsTextField24, "Helvetica", 12, Font.PLAIN);
        _nsTextField24.setEditable(false);
        _nsTextField24.setOpaque(false);
        _nsTextField24.setText("Trajet par d\u00e9faut :");
        _nsTextField24.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField24.setSelectable(false);
        _nsTextField24.setEnabled(true);
        _nsTextField24.setBorder(null);
        _setFontForComponent(_nsTextField23, "Helvetica", 12, Font.PLAIN);
        _nsTextField23.setEditable(false);
        _nsTextField23.setOpaque(false);
        _nsTextField23.setText("Titre Mission :");
        _nsTextField23.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField23.setSelectable(false);
        _nsTextField23.setEnabled(true);
        _nsTextField23.setBorder(null);
        _setFontForComponent(_nsTextField22, "Helvetica", 10, Font.PLAIN);
        _nsTextField22.setEditable(false);
        _nsTextField22.setOpaque(false);
        _nsTextField22.setText("* Toutes ces donn\u00e9es seront saisies par d\u00e9faut lors de l'ajout d'une nouvelle mission ");
        _nsTextField22.setHorizontalAlignment(JTextField.LEFT);
        _nsTextField22.setSelectable(true);
        _nsTextField22.setEnabled(true);
        _nsTextField22.setBorder(null);
        _jRadioButton0.setSize(137, 15);
        _jRadioButton0.setLocation(0, 0);
        _nsMatrix0.add(_jRadioButton0);
        _jRadioButton1.setSize(137, 15);
        _jRadioButton1.setLocation(137, 0);
        _nsMatrix0.add(_jRadioButton1);
        _setFontForComponent(_nsMatrix0, "Helvetica", 12, Font.PLAIN);
        _setFontForComponent(_nsTextField21, "Helvetica", 12, Font.PLAIN);
        _nsTextField21.setEditable(false);
        _nsTextField21.setOpaque(false);
        _nsTextField21.setText("Ecran D\u00e9marrage :");
        _nsTextField21.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField21.setSelectable(false);
        _nsTextField21.setEnabled(true);
        _nsTextField21.setBorder(null);
        _setFontForComponent(_nsTextField20, "Helvetica", 12, Font.PLAIN);
        _nsTextField20.setEditable(false);
        _nsTextField20.setOpaque(false);
        _nsTextField20.setText("Exercice :");
        _nsTextField20.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField20.setSelectable(false);
        _nsTextField20.setEnabled(true);
        _nsTextField20.setBorder(null);
        _setFontForComponent(_nsTextField19, "Helvetica", 12, Font.PLAIN);
        _nsTextField19.setEditable(false);
        _nsTextField19.setOpaque(false);
        _nsTextField19.setText("Type Cr\u00e9dit :");
        _nsTextField19.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField19.setSelectable(false);
        _nsTextField19.setEnabled(true);
        _nsTextField19.setBorder(null);
        _setFontForComponent(_nsTextField18, "Helvetica", 12, Font.PLAIN);
        _nsTextField18.setEditable(false);
        _nsTextField18.setOpaque(false);
        _nsTextField18.setText("Compte Imputation :");
        _nsTextField18.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField18.setSelectable(false);
        _nsTextField18.setEnabled(true);
        _nsTextField18.setBorder(null);
        _setFontForComponent(_nsTextField17, "Helvetica", 12, Font.PLAIN);
        _nsTextField17.setEditable(false);
        _nsTextField17.setOpaque(false);
        _nsTextField17.setText("Mode Paiement :");
        _nsTextField17.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField17.setSelectable(false);
        _nsTextField17.setEnabled(true);
        _nsTextField17.setBorder(null);
        _setFontForComponent(_nsTextField16, "Helvetica", 12, Font.PLAIN);
        _nsTextField16.setEditable(false);
        _nsTextField16.setOpaque(false);
        _nsTextField16.setText("Payeur : ");
        _nsTextField16.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField16.setSelectable(false);
        _nsTextField16.setEnabled(true);
        _nsTextField16.setBorder(null);
        _setFontForComponent(_nsTextField15, "Helvetica", 12, Font.PLAIN);
        _nsTextField15.setEditable(false);
        _nsTextField15.setOpaque(false);
        _nsTextField15.setText("Code Analytique : ");
        _nsTextField15.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField15.setSelectable(false);
        _nsTextField15.setEnabled(true);
        _nsTextField15.setBorder(null);

        if (_replacedObjects.objectForKey("_nsButton17") == null) {
            _setFontForComponent(_nsButton17, "Helvetica", 12, Font.PLAIN);
        }

        if (_replacedObjects.objectForKey("_nsButton16") == null) {
            _setFontForComponent(_nsButton16, "Helvetica", 12, Font.PLAIN);
            _nsButton16.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton15") == null) {
            _setFontForComponent(_nsButton15, "Helvetica", 12, Font.PLAIN);
            _nsButton15.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField14") == null) {
            _setFontForComponent(_nsTextField14, "Helvetica", 12, Font.PLAIN);
            _nsTextField14.setEditable(false);
            _nsTextField14.setOpaque(true);
            _nsTextField14.setText("");
            _nsTextField14.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField14.setSelectable(false);
            _nsTextField14.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsButton14") == null) {
            _setFontForComponent(_nsButton14, "Helvetica", 12, Font.PLAIN);
            _nsButton14.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField13") == null) {
            _setFontForComponent(_nsTextField13, "Helvetica", 12, Font.PLAIN);
            _nsTextField13.setEditable(false);
            _nsTextField13.setOpaque(true);
            _nsTextField13.setText("");
            _nsTextField13.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField13.setSelectable(false);
            _nsTextField13.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsButton13") == null) {
            _setFontForComponent(_nsButton13, "Helvetica", 12, Font.PLAIN);
            _nsButton13.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton12") == null) {
            _setFontForComponent(_nsButton12, "Helvetica", 12, Font.PLAIN);
            _nsButton12.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton11") == null) {
            _setFontForComponent(_nsButton11, "Helvetica", 12, Font.PLAIN);
            _nsButton11.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton10") == null) {
            _setFontForComponent(_nsButton10, "Helvetica", 12, Font.PLAIN);
            _nsButton10.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton9") == null) {
            _setFontForComponent(_nsButton9, "Helvetica", 12, Font.PLAIN);
            _nsButton9.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton8") == null) {
            _setFontForComponent(_nsButton8, "Helvetica", 12, Font.PLAIN);
            _nsButton8.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField12") == null) {
            _setFontForComponent(_nsTextField12, "Helvetica", 12, Font.PLAIN);
            _nsTextField12.setEditable(false);
            _nsTextField12.setOpaque(true);
            _nsTextField12.setText("");
            _nsTextField12.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField12.setSelectable(false);
            _nsTextField12.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField11") == null) {
            _setFontForComponent(_nsTextField11, "Helvetica", 12, Font.PLAIN);
            _nsTextField11.setEditable(false);
            _nsTextField11.setOpaque(true);
            _nsTextField11.setText("");
            _nsTextField11.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField11.setSelectable(false);
            _nsTextField11.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField10") == null) {
            _setFontForComponent(_nsTextField10, "Helvetica", 12, Font.PLAIN);
            _nsTextField10.setEditable(false);
            _nsTextField10.setOpaque(true);
            _nsTextField10.setText("");
            _nsTextField10.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField10.setSelectable(false);
            _nsTextField10.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField9") == null) {
            _setFontForComponent(_nsTextField9, "Helvetica", 12, Font.PLAIN);
            _nsTextField9.setEditable(false);
            _nsTextField9.setOpaque(true);
            _nsTextField9.setText("");
            _nsTextField9.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField9.setSelectable(false);
            _nsTextField9.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_jRadioButton1") == null) {
            _setFontForComponent(_jRadioButton1, "Helvetica", 12, Font.PLAIN);
        }

        if (_replacedObjects.objectForKey("_jRadioButton0") == null) {
            _setFontForComponent(_jRadioButton0, "Helvetica", 12, Font.PLAIN);
        }

        if (_replacedObjects.objectForKey("_nsTextField8") == null) {
            _setFontForComponent(_nsTextField8, "Helvetica", 10, Font.PLAIN);
            _nsTextField8.setEditable(false);
            _nsTextField8.setOpaque(true);
            _nsTextField8.setText("");
            _nsTextField8.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField8.setSelectable(false);
            _nsTextField8.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsButton7") == null) {
            _setFontForComponent(_nsButton7, "Helvetica", 12, Font.PLAIN);
            _nsButton7.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton6") == null) {
            _setFontForComponent(_nsButton6, "Helvetica", 12, Font.PLAIN);
            _nsButton6.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton5") == null) {
            _setFontForComponent(_nsButton5, "Helvetica", 12, Font.PLAIN);
            _nsButton5.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton4") == null) {
            _setFontForComponent(_nsButton4, "Helvetica", 12, Font.PLAIN);
            _nsButton4.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton3") == null) {
            _setFontForComponent(_nsButton3, "Helvetica", 12, Font.PLAIN);
            _nsButton3.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton2") == null) {
            _setFontForComponent(_nsButton2, "Helvetica", 12, Font.PLAIN);
            _nsButton2.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton1") == null) {
            _setFontForComponent(_nsButton1, "Helvetica", 12, Font.PLAIN);
            _nsButton1.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton0") == null) {
            _setFontForComponent(_nsButton0, "Helvetica", 12, Font.PLAIN);
            _nsButton0.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField7") == null) {
            _setFontForComponent(_nsTextField7, "Helvetica", 12, Font.PLAIN);
            _nsTextField7.setEditable(false);
            _nsTextField7.setOpaque(true);
            _nsTextField7.setText("");
            _nsTextField7.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField7.setSelectable(false);
            _nsTextField7.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField6") == null) {
            _setFontForComponent(_nsTextField6, "Helvetica", 12, Font.PLAIN);
            _nsTextField6.setEditable(false);
            _nsTextField6.setOpaque(true);
            _nsTextField6.setText("");
            _nsTextField6.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField6.setSelectable(false);
            _nsTextField6.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField5") == null) {
            _setFontForComponent(_nsTextField5, "Helvetica", 12, Font.PLAIN);
            _nsTextField5.setEditable(false);
            _nsTextField5.setOpaque(true);
            _nsTextField5.setText("");
            _nsTextField5.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField5.setSelectable(false);
            _nsTextField5.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField4") == null) {
            _setFontForComponent(_nsTextField4, "Helvetica", 12, Font.PLAIN);
            _nsTextField4.setEditable(false);
            _nsTextField4.setOpaque(true);
            _nsTextField4.setText("");
            _nsTextField4.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField4.setSelectable(false);
            _nsTextField4.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField3") == null) {
            _setFontForComponent(_nsTextField3, "Helvetica", 12, Font.PLAIN);
            _nsTextField3.setEditable(false);
            _nsTextField3.setOpaque(true);
            _nsTextField3.setText("");
            _nsTextField3.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField3.setSelectable(false);
            _nsTextField3.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField2") == null) {
            _setFontForComponent(_nsTextField2, "Helvetica", 12, Font.PLAIN);
            _nsTextField2.setEditable(false);
            _nsTextField2.setOpaque(true);
            _nsTextField2.setText("");
            _nsTextField2.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField2.setSelectable(false);
            _nsTextField2.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField1") == null) {
            _setFontForComponent(_nsTextField1, "Helvetica", 10, Font.PLAIN);
            _nsTextField1.setEditable(false);
            _nsTextField1.setOpaque(true);
            _nsTextField1.setText("");
            _nsTextField1.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField1.setSelectable(false);
            _nsTextField1.setEnabled(true);
        }

        _setFontForComponent(_nsTextField0, "Helvetica", 12, Font.PLAIN);
        _nsTextField0.setEditable(false);
        _nsTextField0.setOpaque(false);
        _nsTextField0.setText("Destination : ");
        _nsTextField0.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField0.setSelectable(false);
        _nsTextField0.setEnabled(true);
        _nsTextField0.setBorder(null);
        if ((_nsView0.getLayout() instanceof EOViewLayout) == false) _nsView0.setLayout(new EOViewLayout());
        _nsTextField0.setSize(98, 15);
        _nsTextField0.setLocation(47, 250);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField0);
        _nsTextField1.setSize(251, 19);
        _nsTextField1.setLocation(217, 249);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField1, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField1);
        _nsButton6.setSize(21, 21);
        _nsButton6.setLocation(471, 247);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton6, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton6);
        _nsButton12.setSize(21, 21);
        _nsButton12.setLocation(494, 247);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton12, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton12);
        _nsTextField15.setSize(110, 15);
        _nsTextField15.setLocation(35, 226);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField15, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField15);
        _nsTextField9.setSize(252, 21);
        _nsTextField9.setLocation(217, 224);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField9, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField9);
        _nsButton11.setSize(21, 21);
        _nsButton11.setLocation(494, 223);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton11, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton11);
        _nsTextField4.setSize(66, 21);
        _nsTextField4.setLocation(149, 224);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField4, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField4);
        _nsButton3.setSize(21, 21);
        _nsButton3.setLocation(471, 224);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton3, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton3);
        _nsTextField3.setSize(66, 21);
        _nsTextField3.setLocation(149, 248);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField3, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField3);
        _nsTextField16.setSize(98, 15);
        _nsTextField16.setLocation(47, 274);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField16, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField16);
        _nsTextField8.setSize(319, 19);
        _nsTextField8.setLocation(149, 273);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField8, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField8);
        _nsButton5.setSize(21, 21);
        _nsButton5.setLocation(471, 271);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton5, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton5);
        _nsButton13.setSize(21, 21);
        _nsButton13.setLocation(494, 271);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton13, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton13);
        _nsTextField17.setSize(110, 15);
        _nsTextField17.setLocation(35, 202);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField17, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField17);
        _nsTextField10.setSize(252, 21);
        _nsTextField10.setLocation(217, 200);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField10, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField10);
        _nsButton10.setSize(21, 21);
        _nsButton10.setLocation(494, 199);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton10, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton10);
        _nsTextField5.setSize(66, 21);
        _nsTextField5.setLocation(149, 200);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField5, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField5);
        _nsButton2.setSize(21, 21);
        _nsButton2.setLocation(471, 200);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton2, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton2);
        _nsTextField18.setSize(111, 15);
        _nsTextField18.setLocation(34, 178);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField18, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField18);
        _nsTextField11.setSize(252, 21);
        _nsTextField11.setLocation(217, 176);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField11, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField11);
        _nsButton9.setSize(21, 21);
        _nsButton9.setLocation(494, 175);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton9, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton9);
        _nsTextField6.setSize(66, 21);
        _nsTextField6.setLocation(149, 176);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField6, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField6);
        _nsButton1.setSize(21, 21);
        _nsButton1.setLocation(471, 176);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton1, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton1);
        _nsTextField19.setSize(111, 15);
        _nsTextField19.setLocation(34, 154);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField19, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField19);
        _nsTextField12.setSize(252, 21);
        _nsTextField12.setLocation(217, 152);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField12, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField12);
        _nsButton8.setSize(21, 21);
        _nsButton8.setLocation(494, 151);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton8, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton8);
        _nsTextField7.setSize(66, 21);
        _nsTextField7.setLocation(149, 152);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField7, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField7);
        _nsButton0.setSize(21, 21);
        _nsButton0.setLocation(471, 152);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton0);
        _nsTextField20.setSize(76, 15);
        _nsTextField20.setLocation(69, 23);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField20, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField20);
        _nsTextField2.setSize(66, 21);
        _nsTextField2.setLocation(149, 22);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField2, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField2);
        _nsButton7.setSize(88, 24);
        _nsButton7.setLocation(428, 309);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton7, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton7);
        _nsButton4.setSize(103, 24);
        _nsButton4.setLocation(315, 310);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton4, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton4);
        _nsTextField21.setSize(121, 15);
        _nsTextField21.setLocation(24, 48);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField21, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField21);
        _nsMatrix0.setSize(274, 15);
        _nsMatrix0.setLocation(150, 49);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsMatrix0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsMatrix0);
        _nsTextField22.setSize(388, 13);
        _nsTextField22.setLocation(5, 346);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField22, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField22);
        _nsTextField23.setSize(111, 15);
        _nsTextField23.setLocation(34, 104);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField23, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField23);
        _nsTextField13.setSize(321, 21);
        _nsTextField13.setLocation(148, 102);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField13, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField13);
        _nsButton14.setSize(21, 21);
        _nsButton14.setLocation(471, 102);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton14, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton14);
        _nsTextField24.setSize(111, 15);
        _nsTextField24.setLocation(34, 129);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField24, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField24);
        _nsTextField14.setSize(321, 21);
        _nsTextField14.setLocation(148, 127);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField14, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField14);
        _nsButton15.setSize(21, 21);
        _nsButton15.setLocation(471, 127);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton15, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton15);
        _nsButton16.setSize(21, 21);
        _nsButton16.setLocation(494, 127);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton16, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton16);
        _nsTextField25.setSize(352, 15);
        _nsTextField25.setLocation(161, 75);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField25, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField25);
        _nsButton17.setSize(24, 15);
        _nsButton17.setLocation(148, 75);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton17, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton17);

        if (_replacedObjects.objectForKey("_panel") == null) {
            _nsView0.setSize(531, 363);
            _panel.setTitle("Pr\u00e9f\u00e9rences Personnelles");
            _panel.setLocation(107, 478);
            _panel.setSize(531, 363);
        }
    }
}
